#include <extend.h>
#include "../rlibc/rlibc.h"

CLIPPER dfStartTra ( void )
{
	_retni(DFStartTran());
}

CLIPPER dfSetInfo ( void )
{
	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	if (_parinfo(1)!=CHARACTER)
	{
		_retni(R4);
		return;
	}
	_retni(DFSetInfo(_parc(1)));
}

CLIPPER dfAdd ( void )
{
	if (PCOUNT<5)
	{
		_retni(R4);
		return;
	}
	if (_parinfo(1)!=CHARACTER || _parinfo(2)!=CHARACTER || 
			_parinfo(3)!=CHARACTER || _parinfo(4)!=CHARACTER || _parinfo(4)!=CHARACTER )
	{
		_retni(R4);
		return;
	}
	_retni(DFAdd(_parc(1), _parc(2), _parc(3), _parc(4), _parc(5) ));
}

CLIPPER dfCancel ( void )
{
	_retni(DFCancel());
}

CLIPPER dfCancelTr ( void )
{
	_retni(DFCancelTran());
}

CLIPPER dfCross ( void )
{
	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	if (_parinfo(1)!=CHARACTER)
	{
		_retni(R4);
		return;
	}
	_retni(DFCross(_parc(1)));
}

CLIPPER dfFinish ( void )
{
	int wynik;
	char bufor[11];

	if (PCOUNT<1)
	{
		_retni(R4);
		return;
	}
	wynik=DFFinish(bufor);
	_storc(bufor, 1);
	_retni(wynik);
}

CLIPPER dfPrParf ( void )
{
	if (PCOUNT<3)
	{
		_retni(R4);
		return;
	}
	if ((_parinfo(1)!=CHARACTER) || (_parinfo(2)!=CHARACTER) || (_parinfo(3)!=CHARACTER))
	{
		_retni(R4);
		return;
	}
	_retni(DFPrParf(_parc(1),_parc(2),_parc(3)));
}

CLIPPER dfPrPokw ( void )
{
	if (PCOUNT<2)
	{
		_retni(R4);
		return;
	}
	if ((_parinfo(1)!=CHARACTER) || (_parinfo(2)!=CHARACTER))
	{
		_retni(R4);
		return;
	}
	_retni(DFPrPokw(_parc(1),_parc(2)));
}